## timidity 2.13.2

=== debian/changelog ===
timidity (2.13.2-41) unstable; urgency=medium

  * QA upload.
    Only minimal changes, untangling the quiltage was too much for my
    fragile little mind.
  * Set maintainer to the QA team.
  * Drop esound support.  Closes: #856095
  * Vcs fields for Salsa.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 05 Jan 2018 21:12:17 +0100

timidity (2.13.2-40.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing build-{arch,indep}.  Closes: #822030

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 03 Aug 2016 00:54:56 +0200

timidity (2.13.2-40.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng 1.5 and newer.  Closes: #814879
  * Run wrap-and-sort.
  * Explicit Build-Depends on libpng-dev

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 07 Apr 2016 14:04:03 +0000

timidity (2.13.2-40.3) unstable; urgency=medium

  * Non-maintainer upload.
  * find_-perm_+.diff / debian/rules: Use "find -perm /x" instead of "find
    -perm +x". Closes: #724769

 -- Andreas Metzler <ametzler@debian.org>  Wed, 23 Dec 2015 20:15:42 +0100

timidity (2.13.2-40.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS after dropping /usr/bin/tclsh alternatives and updating Tcl/Tk
    to 8.6. (Closes: #725040).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 Oct 2013 14:07:01 +0400

timidity (2.13.2-40.1) unstable; urgency=low

  * Non-maintainer upload.
  * No longer remove /etc/init.d/timidity in timidity-daemon's "prerm remove".
    Thanks to Guo Yixuan for digging into this issue. (Closes: #688713)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 11 Oct 2012 20:08:58 +0200

timidity (2.13.2-40) unstable; urgency=low

  * New maintainer (Closes: #585039).
  * Specify multiarch path to libaudio to fix FTBFS (Closes: #639196,
    #641415) (LP: #832841).
  * Bump standards-version to 3.9.2; no changes necessary.
  * Add lintian override for embedded mikmod copy; I'll deal with this
    later (opens #649344).

 -- Geoffrey Thomas <geofft@ldpreload.com>  Sat, 19 Nov 2011 23:45:23 -0500

timidity (2.13.2-39) unstable; urgency=low

  * Orphan the package.

 -- Joost Yervante Damad <andete@debian.org>  Tue, 08 Jun 2010 18:33:18 +0200

timidity (2.13.2-38) unstable; urgency=low

  * Close stdin and stderr (Closes: #581914)
  * not all individual upgrades work out fine, normally the
    ones involving released versions should (Closes: #538967)
  * be less quiet about failure to stop (Closes: #563251)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 21 May 2010 10:50:43 +0200

timidity (2.13.2-37) unstable; urgency=low

  * update source format to 3.0
  * update standards version to 3.8.3
  * rebuild to make sure proper esd lib is used
  * user was using old config file (Closes: #545492)
  * sometimes other applications block the sound card (Closes: #440852, #557638)
    (see also https://bugs.launchpad.net/ubuntu/+source/timidity/+bug/120810 )

 -- Joost Yervante Damad <andete@debian.org>  Wed, 30 Dec 2009 16:32:31 +0100

timidity (2.13.2-36) unstable; urgency=low

  * Make sure stop is only invoked when init.d script actually
    exists (Closes: #546815)

 -- Joost Yervante Damad <andete@debian.org>  Wed, 16 Sep 2009 13:53:56 +0200

timidity (2.13.2-35) unstable; urgency=low

  * apply fedora_forkfix with thanks to Alban Browaeys for
    pointing out the patch and Paul Menzel for doing initial
   testing. (Closes: #544061) (Closes: #545476)
  * lots of upgrade testing, this version should survive
    an upgrade from a pre-timidity-daemon version unharmed
    (Closes: #538967)

 -- Joost Yervante Damad <andete@debian.org>  Fri, 11 Sep 2009 09:16:27 +0200

timidity (2.13.2-34) unstable; urgency=low

  * also remove config file from timidity if it is still
    owned by timidity (which hopefully fixes the problem
    also for the reporter...) (Closes: #538967)

 -- Joost Yervante Damad <andete@debian.org>  Mon, 07 Sep 2009 07:53:02 +0200

timidity (2.13.2-33) unstable; urgency=low

  * remove /etc/init.d/timidity on removal
    of timidity-daemon (Closes: #538967)
  * don't Depend on freepats a Recommends is good enough
    as it will still be installed by default for basic users
    (Closes: #542937)
  * use Recommends for timidity-daemon to allow smoother
    upgrade for basic users

 -- Joost Yervante Damad <andete@debian.org>  Mon, 24 Aug 2009 19:37:30 +0200

timidity (2.13.2-32) unstable; urgency=low

  * fix installation of /etc/default/timidity
    (although it was done as documented in man dh_installinit
     with the --name option method)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 23 Jul 2009 06:58:11 +0200

timidity (2.13.2-31) unstable; urgency=low

  * relocate /etc/init.d/timidity to timidity-daemon
  * don't depend on existance of file in /usr/share/doc/*
    (Closes: #537830)
  * fix typo in timidity-daemon.postinst

 -- Joost Yervante Damad <andete@debian.org>  Tue, 21 Jul 2009 16:11:26 +0200

timidity (2.13.2-30) unstable; urgency=low

  * don't chown in postinst anymore (Closes: #537812)

 -- Joost Yervante Damad <andete@debian.org>  Tue, 21 Jul 2009 09:55:03 +0200

timidity (2.13.2-29) unstable; urgency=low

  * don't make /var/run/timidity part of the package
    as /var/run could be a temp filesystem, instead make
    the dir in the init script

 -- Joost Yervante Damad <andete@debian.org>  Sat, 18 Jul 2009 14:13:39 +0200

timidity (2.13.2-28) unstable; urgency=low

  * make sure timidity.deamon is removed not just on purge
    but also on remove
    check for existance of /var/run/timidity instead (which
    is now also used to make the pid file)
  * fix pid handling (pid files are icky)

 -- Joost Yervante Damad <andete@debian.org>  Sat, 18 Jul 2009 13:07:03 +0200

timidity (2.13.2-27) unstable; urgency=low

  * introduce timidity-deamon to ease the choice of the
    user and/or other packages to want a system-wide
    timidity alsa sequencer daemon (Closes: #531080)
  * update standards version to 3.8.2

