## timidity 2.13.2-20maemo1

=== debian/changelog ===
timidity (2.13.2-20maemo1) unstable; urgency=low

  * Linked against hildon-1 and ibosso
  * New package (timidity-data) added with only GMGS.sf2 from Fred Lefevere-Laoide
  * New Maemo maintainer
  * Section for main timidity package now user/multimedia
  * Main timidity package depends on timidity-data
  * freepats now a suggests
  * Homepage moved to description
  * Main package has Maemo-Display-Icon & Maemo-Display-Name
  * Emacs package removed
  * TCL/TK interface removed
  * XAW & alsaseq interface moved to extras interface package
  * GTK interface in main timidity binary
  * Use -O3 rather than -O2
  * Use VFP
  * ESD default sound output
  * NAS, ARTS, JACK sound outputs removed
  * Server & Network options disabled
  * DBUS & Desktop file created
  * Lintian overrides removed
  * Menu file removed
  * Mime file removed
  * Init script not enabled by default
  * etc/X11 folder moved to extra interfaces package
  * freepats line in cfg commented out
  * postinst created
  * Hildonized gtk interface
  * Integrated fixes by Klaus Rotter
  * libncurses-dev changed to libncurses5-dev

 -- Faheem Pervez <trippin1@gmail.com>  Tue, 23 Dec 2008 14:58:47 +0000
