## timidity 2.13.2-20maemo3

=== debian/changelog ===
timidity (2.13.2-20maemo3) unstable; urgency=low

  * Change from -O3 back to -O2. Seems vfp and -O3 in this case don't go well.

 -- Faheem Pervez <trippin1@gmail.com>  Tue, 23 Dec 2008 16:07:47 +0000

timidity (2.13.2-20maemo2) unstable; urgency=low

  * Change vfp section in debian/rules to say DEBUGFLAGS rather than CFLAGS

 -- Faheem Pervez <trippin1@gmail.com>  Tue, 23 Dec 2008 15:43:20 +0000
