=== debian/control ===
Source: timidity
Priority: optional
XSBC-Original-Maintainer: Joost Yervante Damad <andete@debian.org>
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 4), libasound2-dev, libaudiofile-dev, libesd0-dev, libvorbis-dev (>= 1.0.0-3), libflac-dev (>= 1.1.4-1), libncurses5-dev, libslang2-dev, libx11-dev, libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libxaw7-dev, libgtk2.0-dev, autotools-dev, libhildon1-dev, libosso-dev
Standards-Version: 3.7.3

Package: timidity
Section: user/multimedia
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0-6), timidity-data (= ${binary:Version})
Suggests: pmidi, freepats
Description: Software sound renderer (MIDI sequencer, MOD player)
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD player.
 It uses sound fonts (GUS-compatible or SF2-compatible) to render MIDI files,
 which are not included in this package.
 .
   * Plays MIDI files without any external MIDI instruments at all
   * Understands SMF, RCP/R36/G18/G36, MFI, RMI (MIDI)
   * Autodetects and supports GM/GS/XG MIDI
   * Understands MOD, XM, S3M, IT, 699, AMF, DSM, FAR, GDM,
     IMF, MED, MTM, STM, STX, ULT, UNI (MOD)
   * Does MOD to MIDI conversion (including playback)
   * Outputs audio into various audio file formats: WAV, au, AIFF,
     Ogg (Vorbis, FLAC, Speex)
   * Supports NAS, eSound, ARtS, JACK, ALSA and OSS drivers
   * Uses Gravis Ultrasound compatible patch files and SoundFont2 patch
     files as the voice data for MIDI instruments
   * Supports playing from archives (zip, lzh, tar...) and playing remote
     data from the network
   * Timidity++ can be used as an ALSA sequencer device
 .
 Homepage: http://timidity.sourceforge.net/
XBS-Maemo-Display-Name: TiMidity++
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dE
 AP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gMFwobCn7zEZcAAAcD
 SURBVEjHpZZtTFTZGcd/5955YcYBB8RKV4wr6rawIyLjCtSgRdQsVnTNhrZuNpi4gZqyChui
 jdvN+MUvdnVbt9bMKJtg9IPdaE3qpti0No2wNbGKwhJfgjDKi2BnggLDvDAz9+kHkdXqJu32
 fDrn/E/O757n/J/nXHhJKyz0jj7T73e7feP8n037hnl5AvH9AVS23S7m/9Dz8/LyIkDK1HjJ
 twLpukr1eHzbHQ7mJxKC260OPCO/tXPnzo5Lly6lrFix4lJNTc32hoaGTuDd//mYy5f7pLzc
 J2+84ZWqKq88I/3kyJEjRiAQkEgkYty9e1fy8/NlYmJCTpw4IUDdfwWorfUB4Hb7pLDQJ8uW
 eaWszPe9KbnE4/HIwMCAGIYhfX198vjxYzEMQ8xms4TDYTl69KgAb30joKbGC0B3t1dt3+6V
 ggKfUVDgk6oqb3L37tOZwPerqqrEMAwjGo2K3++XaDQqwWBQBgYGREQkMzNTxsfHjbq6OgGK
 ALxe74swj8c75513fIPLlnnF7fZKWdlxWbTowqpz535fVltbKyKSjMViEggEZHx8XCYmJiQU
 CkksFpPR0VGJx+NSX18vIpKsra2VlpaW506mABobfXMHB+VSb6/KiUREXn9dSXf3339948Zf
 i+fOta2sqKiQ/v5+FQ6HOX78OFlZWWzdupXNmzfj9/vp6+ujr68Pq9XK6tWr2bNnj5SUlKhr
 1669D/yup6fnCS0315ezYoVXXC5vsrraK83NNy1AJSAtLS0CyJo1a6ShoUEA8fv9Asi+fftk
 w4YNAsj169fF4/EIIJ2dnQJIaWmpxOPx96ftXVhITzgM+flKmzNH1ycm/pazbdu2PwJSUlLy
 Qpjnz58PwOjoKNFoFID09HTu3bv33LrW1tY/m83mIz09PWgffXRy7VdfCWlpinv3pPjjj2uM
 YFC/tWbNKgNQQ0NDU7mlY7fbAXjw4AEAdrsdk8kEwOHDh7HZbABiNk/ntw1g4cKF6AsWvN3z
 8OEkTqe6/MEHHO7u3vjh7dva6vHx+2rLllVUVm4mOzuboqIiXC4Xy5cvp7CwkKysLIqLi7Hb
 7bhcLpxOJ9nZ2eTk5KihoaH9Fy9ebAZagLsA6s03T8nDhyGUUr9qb//ZL9xuX1REWcPhTpQ6
 Tzgsomm6KioqIjc3l0OHDhEMBikvL6e6uprGxkbMZjPp6elisVhUJBJhYGAgNR6P3wYuAtsA
 NKWm7Kemy1EcjIHbt48ow/jw1I4du1Vvby8HDx6krq6OYDBIf38/n376KRaLhba2NoLBIPX1
 9WrXrl2n/H6/isfjISD7KWTKDPrViYn7jI11zQaywuF+LRLpNwPfUerugr17f+tSSnH27Fl6
 e3tpbW2lqamJoqIinE4nDocDj8fDzp07h3bs2NFgsViW6rqeb7PZXM/l0eLFs7dXVVV/1t7e
 gaZZ0bRJQGEYZpRKIKJhNlskFAqpRCKBUgqz2YzJZGJ4eJjh4WGqq6u5ceMGhmGglEIpxeDg
 IF1dXRXABQCT2Tz7s9deWyJNTSeVYTKhtJcWdPX1+6GTYbeybt06MjMzuX//Pm63m0AggFIK
 q9WKYRiICF1dXXunQUopOjo6VGVVFU0bNxLv7SWWMDDrGrFEEptZJ5ownj4gpNru4NzdzKNH
 jwiHw+i6Tnd3N+FwmPz8fI4dO4bL5WJychIg9vQDTQDXOzpYqWlsufJP2nrvcOeXlfy4+R/8
 ae+PcNY08/jQT/nX4zAWXQOTA03TCAaDTzYwmbhy5QqBQIDTp0+jlCI7O3s6v54DabqOQZj3
 1hVyzlVMZGSCt5e+CqLz89JcUDpNl/0snp3KpiUWnt5VIpHAMAx0XSc1NZXa2lpu3bqFyWRC
 RF4E6Urx+bV2xo0xzrUZKBRWk8aXR/7CDIuJ95pbSTHr9I+Mc/HWAAUFBSSTSSYnJ0kmkwDE
 YjHa2tq4efMmK1euZKo6xAHWrl37BJTqcJC5aCntUROaphCBZCSJpmmomEIpkEmZ8oRgt6Ug
 IiilvnaLUqSmplJaWorFYsEwDNLS0jasX7/+3TNnzpzSANJnzqSi7IfMfeW7pFitOJ1prKss
 J3vuK9htKaRYrczKyMA5Mw27zYbD4XghNDabjYqKCnp6eojFYoyMjDA2NiadnZ0nKyoqfqCJ
 CLMCATF98glnv/gCESHkCHEg8wDnPz9PPB5HRLh69Srd3d3EYjEuXLiApmmYTCY0TUPTNEKh
 EPv372dkZAQRweFwACir1Wrouv6lysvLawzHYgcjySR2IJ5IoEShx3WYAclEEhFB13VEBBEh
 Ho+TSCSwWq1kZGQQiUSIRqMopaa1jIwMbDYbOTk5zJo16zdPg1wIJL7Nj2FJSQmXL19+qbZp
 0yZmzJhhmjdvXue/AT9NNcV5EmHxAAAAAElFTkSuQmCC

Package: timidity-interfaces-extra
Section: multimedia
Architecture: any
Depends: ${shlibs:Depends}, timidity (= ${binary:Version})
Replaces: timidity (<< 2.12.0)
Description: TiMidity++ extra user interfaces
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD 
 player.
 .
 This package provides extra TiMidity++ user interfaces, which have
 limited functionality when compared to those in the main package.
 .
 Interfaces in this package: VT100, S-Lang, XSkin, XAW, AlsaSeq

Package: timidity-data
Section: multimedia
Architecture: any
Depends: timidity (= ${binary:Version})
Description: TiMidity++ data (soundfont)
