=== debian/rules ===
--- 
+++ 
@@ -31,12 +31,12 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	DEBUGFLAGS += -O0
 else
-        DEBUGFLAGS += -O3
+        DEBUGFLAGS += -O2
 endif
 
 # Use hardware floating point
 ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -fomit-frame-pointer
+	DEBUGFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -fomit-frame-pointer
 endif
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
