## timidity 2.14.0

=== debian/changelog ===
timidity (2.14.0-8.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop GTK 2 support (Closes: #967777).

 -- Bastian Germann <bage@debian.org>  Tue, 31 Dec 2024 06:55:13 +0000

timidity (2.14.0-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066365).

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 27 Mar 2024 23:21:21 +0500

timidity (2.14.0-8.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix fails to install: invoke update-rc.d before invoke-rc.d
    (Closes: #1000209)

 -- Paul Gevers <elbrus@debian.org>  Fri, 07 Apr 2023 20:22:10 +0200

timidity (2.14.0-8) unstable; urgency=medium

  * Fix FTBFS due to test requiring /etc/timidity/timidity.cfg

 -- Bastien Roucariès <rouca@debian.org>  Wed, 27 Jun 2018 22:06:49 +0200

timidity (2.14.0-7) unstable; urgency=high

  * Bug fix: "Breaks: timidity-daemon (<= 2.14.0-1~) but 2.14.0-5 is to
    be installed", thanks to Sven Joachim (Closes: #902448).
    Replace by Breaks: timidity-daemon (>= 2.14.0-1~) by
    Breaks: timidity-daemon (<< 2.14.0-1~)

 -- Bastien Roucariès <rouca@debian.org>  Wed, 27 Jun 2018 22:02:17 +0200

timidity (2.14.0-6) unstable; urgency=medium

  * Adopt package (Closes: #886347).
  * Disable for security reason network access and NAS.
    You could use libao if needed.
  * Use git dpm
    
 -- Bastien Roucariès <rouca@debian.org>  Tue, 26 Jun 2018 22:20:50 +0200

timidity (2.14.0-5) unstable; urgency=medium

  * Use libao, allows a better integration with desktop
    (Closes: #563252)
  * Do not compile oss, that is obsolete since 10 years.
  * Ship test sample as example.

 -- Bastien Roucariès <rouca@debian.org>  Tue, 26 Jun 2018 15:23:28 +0200

timidity (2.14.0-4) unstable; urgency=high

  * QA upload
  * Suggest only daemon that is pulled by kde, breaking audio output.
    (Closes: #901148, #901931).
  * Bug fix: "CVE-2017-11546 CVE-2017-11547", thanks to
    Salvatore Bonaccorso (Closes: #870338).

 -- Bastien Roucariès <bastien@portable-bastien-2018.roucaries.eu>  Tue, 26 Jun 2018 11:01:52 +0200

timidity (2.14.0-3) unstable; urgency=low

  * QA upload.
  * Install manpages only in timidity package. (Closes: #901141)
  * Don't remove init.d conffile if it already belongs to timidity-daemon.
    (Closes: #901129)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 10 Jun 2018 11:10:53 +0200

timidity (2.14.0-2) unstable; urgency=low

  * QA upload.
  * Fix permissions of timidity-interfaces-extra files only in
    arch-dependent build.
  * Make sure ancient conffile is deleted. (Closes: #589570)

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 08 Jun 2018 18:06:57 +0200

timidity (2.14.0-1) unstable; urgency=low

  [ Reiner Herrmann ]
  * QA upload.
  * New upstream release. (Closes: #649274)
    - fix clicking at beginning of output (Closes: #693011, LP: #1587215)
  * Convert to dh-style build.
    - register mime types again (Closes: #587187)
  * Bump debhelper compat/dependency to 11.
  * Update Standards-Version to 4.1.4.
    - drop obsolete menu file
  * debian/control:
    - remove duplicated section
    - change libaudio-dev B-D arch to linux-any (Closes: #634745)
    - timidity-daemon requires lsb-base for the init script
    - depend on wish for tcl scripts in timidity-interfaces-extra
    - drop ancient version restrictions and replace relations
    - drop unused build dependency libaudiofile-dev (Closes: #857672)
  * debian/patches:
    - drop patches no longer needed or already applied upstream
    - fix spelling errors found by lintian.
    - add patch to honour LDFLAGS while linking interface addons
    - split up huge debian-changes-2.13.2-36 patch into smaller ones;
      drop several hunks that have been applied upstream or are no longer
      needed (like aRts- and autotools-related changes)
  * Move .desktop file to timidity package and rename appropriately.
    (Closes: #761472)
  * Fix build failure with Tcl/Tk 8.6. (Closes: #728089)
  * Allow opening files via .desktop file. (LP: #1072179)
  * Recommend and configure fluid-soundfont-gm by default.
    (Closes: #870429, #610266)
  * Drop unneeded debian/*.dirs files.
  * Rename lintian overrides to timidity.lintian-overrides.
  * Add upstream metadata file.
  * Set home directory of timidity system user during creation.
  * Convert debian/copyright to machine-readable format.
  * Move /etc/default/timidity into timidity-daemon, as it is only
    used by the init script provided there.
  * Drop mostly outdated debian/TODO file.
  * Drop obsolete maintainer scripts that have no function or were (re)moving
    long gone conffiles.

  [ Guillem Jover ]
  * Fix LSB init output (Closes: #823083)

  [ Frank Heckenbach ]
  * Register .mod files with timidity in mime database. (Closes: #587187)

  [ Helmut Grohne ]
  * Don't assume availability of libOggFLAC for cross compilation.
    (Closes: #885857)

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 07 Jun 2018 21:42:56 +0200
