=== debian/control ===
Source: timidity
Section: sound
Priority: optional
Maintainer: Bastien Roucariès <rouca@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-exec,
 libasound2-dev [linux-any],
 libflac-dev,
 libjack-dev,
 libao-dev,
 libncurses-dev,
 libpng-dev,
 libslang2-dev,
 libspeex-dev,
 libvorbis-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 tcl-dev,
 tk-dev,
Standards-Version: 4.1.4
Homepage: http://timidity.sourceforge.net/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/timidity.git
Vcs-Browser: https://salsa.debian.org/debian/timidity

Package: timidity
Architecture: any
Depends:
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fluid-soundfont-gm,
Suggests:
 fluid-soundfont-gs,
 freepats,
 pmidi,
 timidity-daemon (>= 2.14.0-1),
Breaks: timidity-daemon (<< 2.14.0-1~),
Description: Software sound renderer (MIDI sequencer, MOD player)
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD player.
 It uses sound fonts (GUS-compatible or SF2-compatible) to render MIDI files,
 which are not included in this package.
 .
   * Plays MIDI files without any external MIDI instruments at all
   * Understands SMF, RCP/R36/G18/G36, MFI, RMI (MIDI)
   * Autodetects and supports GM/GS/XG MIDI
   * Understands MOD, XM, S3M, IT, 699, AMF, DSM, FAR, GDM,
     IMF, MED, MTM, STM, STX, ULT, UNI (MOD)
   * Does MOD to MIDI conversion (including playback)
   * Outputs audio into various audio file formats: WAV, au, AIFF,
     Ogg (Vorbis, FLAC, Speex)
   * Supports JACK, ALSA and AO drivers
   * Uses Gravis Ultrasound compatible patch files and SoundFont2 patch
     files as the voice data for MIDI instruments
   * Supports playing from archives (zip, lzh, tar...).
   * Timidity++ can be used as an ALSA sequencer device

Package: timidity-interfaces-extra
Architecture: any
Depends:
 timidity (= ${binary:Version}),
 wish,
 ${misc:Depends},
 ${shlibs:Depends},
Description: TiMidity++ extra user interfaces
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD
 player.
 .
 This package provides extra TiMidity++ user interfaces, which have
 limited functionality when compared to those in the main package.
 .
 Interfaces in this package: VT100, Tcl/Tk, S-Lang, XSkin

Package: timidity-el
Section: lisp
Architecture: all
Depends:
 emacsen-common,
 timidity (>= ${source:Version}),
 ${misc:Depends},
Description: Emacs front end to Timidity++
 The timidity.el Emacs-Lisp program is a front-end to the TiMidity++ software-
 only MIDI sequencer and MOD player.  You can play MIDI amd MOD files directly
 from Emacs with this package.

Package: timidity-daemon
Architecture: all
Depends:
 adduser,
 lsb-base,
 timidity (>= ${source:Version}),
 ${misc:Depends},
Replaces: timidity (<< 2.14.0-1~)
Breaks: timidity (<< 2.14.0-1~)
Description: runs TiMidity++ as a system-wide MIDI sequencer
 TiMidity++ is a very high quality software-only MIDI sequencer and MOD
 player.
 .
 This package is not needed for a desktop install and output by default
 using the ALSA driver.
 .
 This package provides TiMidity++ as a system-wide MIDI sequencer.
